summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorDavid Lönnhager <david.l@mullvad.net>2023-10-24 21:08:12 +0200
committerDavid Lönnhager <david.l@mullvad.net>2023-10-24 23:36:04 +0200
commitcf39670934b7917c3566b3aa300b4b197a1d547b (patch)
tree33c476a681e76762aaaa4b2b95c16cfb9b5e0f8f
parent45b8883f70814c4d07c8988f80d892bb5b40b833 (diff)
downloadmullvadvpn-cf39670934b7917c3566b3aa300b4b197a1d547b.tar.xz
mullvadvpn-cf39670934b7917c3566b3aa300b4b197a1d547b.zip
Ignore irrelevant files in build-runner-image.sh
-rwxr-xr-xtest/ci-runtests.sh2
-rwxr-xr-xtest/scripts/build-runner-image.sh9
2 files changed, 6 insertions, 5 deletions
diff --git a/test/ci-runtests.sh b/test/ci-runtests.sh
index c794b75381..698c54ae10 100755
--- a/test/ci-runtests.sh
+++ b/test/ci-runtests.sh
@@ -211,7 +211,7 @@ echo "* Building test runner"
echo "**********************************"
# Clean up packages. Try to keep ones that match the versions we're testing
-find "$PACKAGES_DIR/" -type f ! \( -name "*${OLD_APP_VERSION}*" -o -name "*${commit}*" \) -delete || true
+find "$PACKAGES_DIR/" -type f ! \( -name "*${OLD_APP_VERSION}_*" -o -name "*${OLD_APP_VERSION}.*" -o -name "*${commit}*" \) -delete || true
function build_test_runner {
local target=""
diff --git a/test/scripts/build-runner-image.sh b/test/scripts/build-runner-image.sh
index 1cb5e6bb26..6881e0c7f9 100755
--- a/test/scripts/build-runner-image.sh
+++ b/test/scripts/build-runner-image.sh
@@ -38,10 +38,11 @@ case $TARGET in
"${SCRIPT_DIR}/../target/$TARGET/release/test-runner" \
"${PACKAGES_DIR}/"app-e2e-* \
"${TEST_RUNNER_IMAGE_PATH}:/"
- e2cp \
- "${PACKAGES_DIR}/"*.deb \
- "${PACKAGES_DIR}/"*.rpm \
- "${SCRIPT_DIR}/../openvpn.ca.crt" \
+ e2cp "${PACKAGES_DIR}/"*.deb \
+ "${TEST_RUNNER_IMAGE_PATH}:/" || true
+ e2cp "${PACKAGES_DIR}/"*.rpm \
+ "${TEST_RUNNER_IMAGE_PATH}:/" || true
+ e2cp "${SCRIPT_DIR}/../openvpn.ca.crt" \
"${TEST_RUNNER_IMAGE_PATH}:/"
;;